function [train_data,indeces] = train_feat_select(train_data_in,n_select_feat)
size_feat =  size(train_data_in);
n_feat = size_feat(2);
n_select_feat = n_select_feat;
i = 1;
while(i <= n_feat)
    m_feat_data(i) = min(train_data_in(:,i));
    i = i + 1;
end
sorted_feat_value = sort(m_feat_data,'descend');
i = 1;
while(i <= n_select_feat)
    dummy = sorted_feat_value(i);
    j = 1;
    while(j <= n_feat)
        if(m_feat_data(j) == dummy)
            indeces(i) = j;
            j = n_feat + 1;
        end
        j = j + 1;
    end
    i = i + 1;
end
train_data = train_data_in(:,indeces);
end